###########################################################################################################
###	Documentation:											
###	https://www.kernel.org/doc/Documentation/kbuild/kconfig-language.txt				
###########################################################################################################



menu "External-ICs Module configuration"

	config USE_EXTERNAL_ICS
		bool "Enable External-ICs Module"
		default n #if (USE_SILICON_ID_CHIP="y" && USE_SOM_REGISTRATION="y")
		
		
################## Actuator Module Configuration

	source "$PWD/../platform/core/external-ics/actuator/Kconfig"
	
################## eeprom Module Configuration

	source "$PWD/../platform/core/external-ics/eeprom/Kconfig"	
	
################## rtc Module Configuration

	source "$PWD/../platform/core/external-ics/rtc/Kconfig"	
	
################## sensor Module Configuration

	source "$PWD/../platform/core/external-ics/sensor/Kconfig"	

endmenu